<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Sun Sep 12 13:20:00 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>rm</name>
<version>1.0</version>
<signature>array string</signature>
<help>
Removes a path and all files under it.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       rm
#
#   Description:    Removes files and directories recursively
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $path     in      string    Path to remove
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        None.
#
###############################################################################
sub rm
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: rm.xpl(@_)\n"; close(LOG);
        my ($srv, $path) = @_;

	use strict;

	require "/var/www/rpc/recurse.pl";

	unless (-e $path)
	{
		return 1;
	}

	foreach (recurse($path))
	{
		-d $_ ? rmdir($_) : unlink($_);
	}
	return -d $path ? rmdir($path) : unlink($path);
}

__END__
]]></code>
</methoddef>
